// Custom bootstrap variables must be set or imported *before* bootstrap.
@import "~bootstrap/scss/bootstrap";
@import "bootstrap-daterangepicker/daterangepicker.css";

//---
// General
//---

header{margin-bottom:2em;}
label{font-weight:bold;}
footer{margin-top:3em;padding:1em;border-top: 1px solid #007bff;text-align:center;font-size:0.8em;}

//---
// /app/views/statistics/index
//---

.input-daterange input{text-align: left!important;}

//---
// /app/views/recognitions/index
//---

.le-fake-row{display:flex;padding:0.5rem;border:#ced4da solid 1px;margin-bottom:1rem;border-radius:3px;flex-direction:column;}
.le-fake-row:last-child{margin-top:none;}
.le-fake-cell{flex-grow:1;padding:1rem;}
.le-fake-cell:nth-child(1){flex-basis:99%;}
.le-fake-cell:nth-child(2){}
.le-fake-cell p{margin:0;}
.shrinky-dink{font-size:0.9rem;}
.push-in-a-little-bit{border-left:2px solid #2c8cf0;padding-left:1rem;margin-top:0.5rem;}

//---
// /app/views/recognitions/show
//---

#hi5-award-wrapper{border:10px solid #00448B;background:white;padding:5px;margin: 1rem 0 2rem 0;box-shadow: 0 4px 8px 0 rgba(0,0,0,0.12), 0 2px 4px 0 rgba(0,0,0,0.08);}
#hi5-award{border:5px solid #0059B6;text-align:center;padding:2em;background: #f2f9fe;background: linear-gradient(to bottom, #f2f9fe 0%,#d6f0fd 100%);}
#hi5-award div{margin:0.5rem 0;}
#hi5-award .c1 img{width:64px;height:auto;}
#hi5-award .c2{font-family:'Roboto Slab',serif;font-size:1.75em;color:#2C8CF0;font-weight:400;}
#hi5-award .c3{font-size:1em;color:#7F93A7;text-transform:uppercase;font-weight:normal;}
#hi5-award .c4{font-family:'Roboto Slab',serif;font-size:2.85em;text-transform: uppercase;font-weight:700;color:#2C8CF0;margin:1rem 0 1.5rem 0;}
#hi5-award .c5{font-size:1.25em;text-transform:uppercase;font-weight:bold;}
#hi5-award .c6{font-family:'Roboto Slab',serif;font-size:1em;text-transform: none;font-weight:300;margin:1rem 0;}
#hi5-award .c7{font-family:'Roboto Slab',serif;font-size:1.25em;color:#7F93A7;text-transform:uppercase;font-weight:400;}
#hi5-award .c8{font-family:'Roboto Slab',serif;font-size:1.1em;color:#7F93A7;text-transform:uppercase;font-weight:100;}
.lower-toolbar{text-align:center !important;}

//---
// BS4 Overrides
//---

.was-validated .form-control:valid, .form-control.is-valid, .was-validated .custom-select:valid, .custom-select.is-valid{border-color: #ced4da !important;}
.was-validated .form-check-input:valid ~ .form-check-label, .form-check-input.is-valid ~ .form-check-label{color: #212529 !important;}

//---
// Breakpoints (Font size & other responsive tweaks)
//---

html{font-size: 0.9rem;}

@include media-breakpoint-up(sm)
{
  html{font-size: 1rem;}
}

@include media-breakpoint-up(md)
{
  html{font-size: 1rem;}
  .le-fake-row{flex-direction:row;}
}

@include media-breakpoint-up(lg)
{
  html{font-size: 1rem;}
  .le-fake-row{flex-direction:row;}
}
